<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>py_arg.explanation package &mdash; PyArg  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="py_arg.generators package" href="py_arg.generators.html" />
    <link rel="prev" title="py_arg.dynamic_aspic_classes package" href="py_arg.dynamic_aspic_classes.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> PyArg
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation instructions</a></li>
<li class="toctree-l1"><a class="reference internal" href="example_usage.html">Example Usage</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">PyArg Module Overview</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="py_arg.html">py_arg package</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="py_arg.html#subpackages">Subpackages</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html">py_arg.abstract_argumentation_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.html">py_arg.aspic_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html">py_arg.dynamic_aspic_classes package</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">py_arg.explanation package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.generators.html">py_arg.generators package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.labels.html">py_arg.labels package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.logic.html">py_arg.logic package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.relevance.html">py_arg.relevance package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.semantics.html">py_arg.semantics package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.stability.html">py_arg.stability package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.utils.html">py_arg.utils package</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="py_arg.html#module-py_arg">Module contents</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">PyArg</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="modules.html">PyArg Module Overview</a> &raquo;</li>
          <li><a href="py_arg.html">py_arg package</a> &raquo;</li>
      <li>py_arg.explanation package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/py_arg.explanation.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="py-arg-explanation-package">
<h1>py_arg.explanation package<a class="headerlink" href="#py-arg-explanation-package" title="Permalink to this headline"></a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this headline"></a></h2>
</section>
<section id="module-py_arg.explanation.defending">
<span id="py-arg-explanation-defending-module"></span><h2>py_arg.explanation.defending module<a class="headerlink" href="#module-py_arg.explanation.defending" title="Permalink to this headline"></a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="py_arg.explanation.defending.get_defending">
<span class="sig-prename descclassname"><span class="pre">py_arg.explanation.defending.</span></span><span class="sig-name descname"><span class="pre">get_defending</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">argumentation_framework</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework" title="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework"><span class="pre">py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">argument</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">extensions</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.explanation.defending.get_defending" title="Permalink to this definition"></a></dt>
<dd><p>Obtain for each extension with the argument te set of arguments that (in)directly defend the argument.</p>
<p>In papers: Defending.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>argumentation_framework</strong> – the argumentation framework the explanation should be about</p></li>
<li><p><strong>argument</strong> – the argument that is accepted</p></li>
<li><p><strong>extensions</strong> – the extensions (sets of accepted arguments) of the argumentation framework.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>a list of sets of arguments, each representing one or more extensions, containing the arguments from the
extension that (in)directly defend the argument.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="py_arg.explanation.defending.get_dir_defending">
<span class="sig-prename descclassname"><span class="pre">py_arg.explanation.defending.</span></span><span class="sig-name descname"><span class="pre">get_dir_defending</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">argumentation_framework</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework" title="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework"><span class="pre">py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">argument</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">extensions</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.explanation.defending.get_dir_defending" title="Permalink to this definition"></a></dt>
<dd><p>Obtain for each extension with the argument te set of arguments that directly defend the argument.</p>
<p>In papers: DirDefending.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>argumentation_framework</strong> – the argumentation framework the explanation should be about</p></li>
<li><p><strong>argument</strong> – the argument that is accepted</p></li>
<li><p><strong>extensions</strong> – the extensions (sets of accepted arguments) of the argumentation framework.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>a list of sets of arguments, each representing one or more extensions, containing the arguments from the
extension that directly defend the argument.</p>
</dd>
</dl>
</dd></dl>

</section>
<section id="module-py_arg.explanation.not_defending">
<span id="py-arg-explanation-not-defending-module"></span><h2>py_arg.explanation.not_defending module<a class="headerlink" href="#module-py_arg.explanation.not_defending" title="Permalink to this headline"></a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="py_arg.explanation.not_defending.get_no_dir_defending">
<span class="sig-prename descclassname"><span class="pre">py_arg.explanation.not_defending.</span></span><span class="sig-name descname"><span class="pre">get_no_dir_defending</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">argumentation_framework</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework" title="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework"><span class="pre">py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">argument</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">extensions</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.explanation.not_defending.get_no_dir_defending" title="Permalink to this definition"></a></dt>
<dd><p>Obtain for each extension without the argument the set of arguments that directly attack the argument and to which
the extension provides no direct defense.
In papers: NoDirDefense.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>argumentation_framework</strong> – the argumentation framework the explanation should be about</p></li>
<li><p><strong>argument</strong> – the argument that is not accepted</p></li>
<li><p><strong>extensions</strong> – the extensions (sets of accepted arguments) of the argumentation framework.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>a list of sets of arguments, each representing one or more extensions, containing the arguments that
directly attack the argument and to which the extension provides to direct defense.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="py_arg.explanation.not_defending.get_no_self_defense">
<span class="sig-prename descclassname"><span class="pre">py_arg.explanation.not_defending.</span></span><span class="sig-name descname"><span class="pre">get_no_self_defense</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">argumentation_framework</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework" title="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework"><span class="pre">py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">argument</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">extensions</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.explanation.not_defending.get_no_self_defense" title="Permalink to this definition"></a></dt>
<dd><p>Obtain for each set obtained with get_not_defending the arguments that are not attacked by the argument. 
In papers: NoSelfDefense.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>argumentation_framework</strong> – the argumentation framework the explanation should be about</p></li>
<li><p><strong>argument</strong> – the argument that is not accepted</p></li>
<li><p><strong>extensions</strong> – the extensions (sets of accepted arguments) of the argumentation framework.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>a list of sets of arguments, each representing one or more extensions, containing the arguments that attack
the argument, to which the extension provides to defense and which the argument itself does not (in)directly
attack either.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="py_arg.explanation.not_defending.get_not_defending">
<span class="sig-prename descclassname"><span class="pre">py_arg.explanation.not_defending.</span></span><span class="sig-name descname"><span class="pre">get_not_defending</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">argumentation_framework</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework" title="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework"><span class="pre">py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">argument</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">extensions</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.explanation.not_defending.get_not_defending" title="Permalink to this definition"></a></dt>
<dd><p>Obtain for each extension without the argument the set of arguments that attack the argument and to which the
extension provides no defense.
In papers: NoDefAgainst.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>argumentation_framework</strong> – the argumentation framework the explanation should be about</p></li>
<li><p><strong>argument</strong> – the argument that is not accepted</p></li>
<li><p><strong>extensions</strong> – the extensions (sets of accepted arguments) of the argumentation framework.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>a list of sets of arguments, each representing one or more extensions, containing the arguments that
attack the argument and to which the extension provides to defense.</p>
</dd>
</dl>
</dd></dl>

</section>
<section id="module-py_arg.explanation.reach_and_dist">
<span id="py-arg-explanation-reach-and-dist-module"></span><h2>py_arg.explanation.reach_and_dist module<a class="headerlink" href="#module-py_arg.explanation.reach_and_dist" title="Permalink to this headline"></a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="py_arg.explanation.reach_and_dist.get_reach">
<span class="sig-prename descclassname"><span class="pre">py_arg.explanation.reach_and_dist.</span></span><span class="sig-name descname"><span class="pre">get_reach</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">argumentation_framework</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework" title="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework"><span class="pre">py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">argument</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.explanation.reach_and_dist.get_reach" title="Permalink to this definition"></a></dt>
<dd><p>Obtain the arguments in the framework from which the argument can be reach via the attack relation and the distance
between those arguments.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>argumentation_framework</strong> – The argumentation framework used to determine reach and distance.</p></li>
<li><p><strong>argument</strong> – The argument for which the reach and distance need to be calculated.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>A set of arguments from which the argument can be reached and a dictionary with for each argument in the
framework the distance (possibly several) to the given argument.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="py_arg.explanation.reach_and_dist.recursive_reach">
<span class="sig-prename descclassname"><span class="pre">py_arg.explanation.reach_and_dist.</span></span><span class="sig-name descname"><span class="pre">recursive_reach</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">argumentation_framework</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">reach</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">argument</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">new_argument</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">dist</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">visited</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">distance</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.explanation.reach_and_dist.recursive_reach" title="Permalink to this definition"></a></dt>
<dd><p>Obtain the arguments in the framework from which the argument can be reach via the attack relation and the
distance between those arguments.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>argumentation_framework</strong> – The argumentation framework used to determine reach and distance.</p></li>
<li><p><strong>reach</strong> – A set of arguments from which the argument is reachable.</p></li>
<li><p><strong>argument</strong> – The argument for which the reach and distance need to be calculated.</p></li>
<li><p><strong>new_argument</strong> – An argument from argumentation_framework from which the argument is reachable.</p></li>
<li><p><strong>dist</strong> – the depth of the current search step.</p></li>
<li><p><strong>visited</strong> – a list of defeats that has been used by the algorithm.</p></li>
<li><p><strong>distance</strong> – the dictionary with the distances.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>A set of arguments from which the argument can be reached and a dictionary with for each argument in the
framework the distance (possibly several) to the given argument.</p>
</dd>
</dl>
</dd></dl>

</section>
<section id="module-py_arg.explanation">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-py_arg.explanation" title="Permalink to this headline"></a></h2>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="py_arg.dynamic_aspic_classes.html" class="btn btn-neutral float-left" title="py_arg.dynamic_aspic_classes package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="py_arg.generators.html" class="btn btn-neutral float-right" title="py_arg.generators package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, AnneMarie Borg and Daphne Odekerken.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>